%define oname   json
%define subrel 1

Name:       ruby-%{oname}
Version:    1.8.3
Release:    %mkrel 3
Summary:    JSON Implementation for Ruby
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://json-jruby.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     CVE-2017-14064.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rdoc)

%description
This is a JSON implementation as a Ruby extension in C.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}
%doc README.rdoc


%changelog
* Thu Oct 12 2017 pterjan <pterjan> 1.8.3-3.1.mga6
+ Revision: 1171165
- Add patch for CVE-2017-14064

* Wed Feb 17 2016 umeabot <umeabot> 1.8.3-3.mga6
+ Revision: 962722
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 pterjan <pterjan> 1.8.3-2.mga6
+ Revision: 894831
- Rebuild with hopefuly fixed ruby-RubyGems

* Fri Oct 23 2015 pterjan <pterjan> 1.8.3-1.mga6
+ Revision: 894580
- Update to 1.8.3

  + blino <blino>
    - rebuild for new ruby

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-3.mga5
+ Revision: 739347
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 688846
- Mageia 5 Mass Rebuild

* Mon May 26 2014 pterjan <pterjan> 1.8.1-1.mga5
+ Revision: 626651
- Update to 1.8.1

* Sat Dec 28 2013 pterjan <pterjan> 1.7.7-9.mga4
+ Revision: 561715
- Rebuild with correct provides

* Sat Dec 28 2013 pterjan <pterjan> 1.7.7-8.mga4
+ Revision: 561371
- Fix gem macros

* Sat Dec 21 2013 pterjan <pterjan> 1.7.7-7.mga4
+ Revision: 559581
- Update for new binary extensions location

* Sat Oct 19 2013 umeabot <umeabot> 1.7.7-6.mga4
+ Revision: 535275
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.7.7-5.mga4
+ Revision: 481817
- Build doc again

* Fri Sep 20 2013 pterjan <pterjan> 1.7.7-4.mga4
+ Revision: 481816
- Rebuild without doc to bootstrap (need to add a cleaner way to do that)
- Fix file list
- Drop _requires_exceptions

* Fri Sep 20 2013 pterjan <pterjan> 1.7.7-3.mga4
+ Revision: 481713
- Disable ruby-abi dependency for ruby 2 transition

* Sun Sep 15 2013 pterjan <pterjan> 1.7.7-2.mga4
+ Revision: 479010
- Fix file list
- Use gem_setup

* Tue Feb 12 2013 fwang <fwang> 1.7.7-1.mga3
+ Revision: 398006
- new version 1.7.7

* Fri Feb 08 2013 umeabot <umeabot> 1.7.5-3.mga3
+ Revision: 396110
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.7.5-2.mga3
+ Revision: 381071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.7.5-1.mga3
+ Revision: 311946
- new version 1.7.5

* Sat Aug 11 2012 shlomif <shlomif> 1.7.4-1.mga3
+ Revision: 280742
- New version 1.7.4

* Fri Jun 08 2012 solbu <solbu> 1.6.7-1.mga3
+ Revision: 257160
- New version
- Spec cleanup

* Sat Apr 16 2011 shikamaru <shikamaru> 1.5.1-1.mga1
+ Revision: 86357
- new version 1.5.1

* Wed Jan 26 2011 shikamaru <shikamaru> 1.4.6-4.mga1
+ Revision: 39678
- rebuild for new rubygems.rb

* Tue Jan 25 2011 shikamaru <shikamaru> 1.4.6-3.mga1
+ Revision: 39435
- imported package ruby-json

